Jump to:
<a href='' ng-click="openArticles()">articles</a>
<hr/>
<h2 ng-if="!isNew">Editace článku</h2>
<h2 ng-if="isNew">Nový článek</h2>
<form class="editArticleDialog" name="articleForm">
    <div layout="row">
        <md-input-container class="md-icon-float md-block" flex-gt-sm="40">
            <!-- Use floating label instead of placeholder -->
            <label>Titulek (Cesky)</label>
            <md-icon class="name">
                <img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/cz.png"></img>
            </md-icon>
            <input ng-model="model.title" type="text">
        </md-input-container>
    </div>
    <div layout="row">
        <md-input-container class="md-icon-float md-block" flex-gt-sm="40">
            <!-- Use floating label instead of placeholder -->
            <label>Titulek (Anglicky)</label>
            <md-icon class="name">
                <img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/gb.png"></img>
            </md-icon>
            <input ng-model="model.title_en" type="text">
        </md-input-container>
    </div>
    <!--START: image -->
    <div layout="row">
        <b>Primary image:</b>
    </div>
    <div layout="row">
        <div ngf-drop ngf-select ng-model="files" class="drop-box" ngf-drag-over-class="'dragover'" ngf-multiple="false" ngf-allow-dir="false" accept="image/*" ngf-pattern="'image/*'">Drop images here or click to upload</div>
        <div ngf-no-file-drop>File Drag/Drop is not supported for this browser</div>
        <div ng-if="model.image!==undefined && model.image!==false" class="thumb-container">
            <img ng-click="previewImage(model.image.url, $event)" ng-show="model.image.url!==undefined && model.image.url!==null" class="img-center-cropped-100-100" ng-src="{{model.image.url}}"></img>
            <span ng-if="model.image.status==='uploading'">{{model.image.progress}}%</span>
            <md-button ng-if="model.image.status!=='uploading'" class="button-delete md-fab md-mini" aria-label="Delete">
                <md-icon md-font-icon="material-icons" ng-click="deleteImage()">delete</md-icon>
            </md-button>
        </div>
    </div>
    <br/><br/>
    <!--END: image -->
		<!-- start: content -->
    <div layout="row">
			<md-tabs md-dynamic-height="" md-border-bottom="">
					<md-tab>
							<md-tab-label>
									<img class="png-icon" style="width: 24px; height: 24px;" src="public/flags/cz.png"></img>
									<span>Česky ({{model.blocks[0].content.split(' ').length}} slov)</span>
							</md-tab-label>
							<md-tab-body>
				        <md-input-container class="md-icon-float md-block editorFullWidth">
				            <div class="ckEditorWrapper">
				                <div ckeditor="options" ng-model="model.blocks[0].content" ready="onReady()"></div>
				            </div>
				        </md-input-container>
							</md-tab-body>
					</md-tab>
					<md-tab>
							<md-tab-label>
									<img class="png-icon" style="width: 24px; height: 24px;" src="public/flags/gb.png"></img>
									<span>English ({{model.blocks[0].content_en.split(' ').length}} words)</span>
							</md-tab-label>
							<md-tab-body>
				        <md-input-container class="md-icon-float md-block editorFullWidth">
				            <div class="ckEditorWrapper">
				                <div ckeditor="options" ng-model="model.blocks[0].content_en" ready="onReady()"></div>
				            </div>
				        </md-input-container>
							</md-tab-body>
 				 </md-tab>
 		 </md-tabs>
    </div>
		<!--end: content -->
		<br/>
		<br/>
		<br/>
		<br/>
    <div class="floating-bottom-action-buttons-bar">
        <div layout="row">
            <span flex></span>
            <md-button ng-click="save()" ng-disabled="articleForm.$invalid || saving" md-autofocus>
                {{getSaveLabel()}}
            </md-button>
            <md-button ng-click="cancel()" style="margin-right:20px;">
                Cancel
            </md-button>
        </div>
    </div>
</form>
